package com.yijia.station.mapper;

import java.util.List;
import com.yijia.station.domain.StationPay;

/**
 * 油站支付设置Mapper接口
 * 
 * @author yijia
 * @date 2020-12-10
 */
public interface StationPayMapper 
{
    /**
     * 查询油站支付设置
     * 
     * @param payId 油站支付设置ID
     * @return 油站支付设置
     */
    public StationPay selectStationPayById(Long payId);

    /**
     * 查询油站支付设置列表
     * 
     * @param stationPay 油站支付设置
     * @return 油站支付设置集合
     */
    public List<StationPay> selectStationPayList(StationPay stationPay);

    /**
     * 新增油站支付设置
     * 
     * @param stationPay 油站支付设置
     * @return 结果
     */
    public int insertStationPay(StationPay stationPay);

    /**
     * 修改油站支付设置
     * 
     * @param stationPay 油站支付设置
     * @return 结果
     */
    public int updateStationPay(StationPay stationPay);

    /**
     * 删除油站支付设置
     * 
     * @param payId 油站支付设置ID
     * @return 结果
     */
    public int deleteStationPayById(Long payId);

    /**
     * 批量删除油站支付设置
     * 
     * @param payIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteStationPayByIds(Long[] payIds);

}
